com.smartgwt.client.types

## Enum SendMethod

- java.lang.Object
- - java.lang.Enum<SendMethod>
  - - com.smartgwt.client.types.SendMethod

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SendMethod>

      public enum SendMethod
      extends java.lang.Enum<SendMethod>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET` GET method (regular URL encoding)
    `POST` POST method (form field encoding)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SendMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SendMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final SendMethod GET

      GET method (regular URL encoding)

    - #### POST

          public static final SendMethod POST

      POST method (form field encoding)

  - ### Method Detail

    - #### values

          public static SendMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SendMethod c : SendMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SendMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`